Commit 02dc888a authored by Jordan Petridis's avatar Jordan Petridis 🌱

Examples: Pin some dependencies to builda with rustc 1.28

These dependencies require rustc 1.31, which we can't yet use.
Since they are only affecting examples its not a big deal to pin
them to an earlier version.
parent 11db200d
Pipeline #12635 passed with stages
in 15 minutes and 37 seconds
......@@ -29,6 +29,11 @@ pangocairo = { git = "https://github.com/gtk-rs/pangocairo", optional = true }
# Using my personal repository (vjaquez) for glutin until
# https://github.com/tomaka/glutin/pull/1082 is merged
glutin = { git = "https://github.com/ceyusa/glutin", branch="native-display", optional = true }
# Newer versions do not compile with rustc 1.28 so pin it for the time being
# This dependency comes from backtrace, which comes from failure
rustc-demangle = "0.1.10"
# This dependency comes from glutin and winit, which comes from failure
stb_truetype = { version = "= 0.2.4", optional = true }
[build-dependencies]
gl_generator = { version = "0.9", optional = true }
......
......@@ -14,6 +14,9 @@ gstreamer-app = { path = "../gstreamer-app" }
gstreamer-pbutils = { path = "../gstreamer-pbutils" }
byte-slice-cast = "0.2"
failure = "0.1.0"
# Newer versions do not compile with rustc 1.28 so pin it for the time being
# This dependency comes from backtrace, which comes from failure
rustc-demangle = "0.1.10"
[features]
tutorial5 = ["gtk", "gdk"]
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment